Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 05 Apr 2022 14:01:06 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am old customer of landmark group and center point. Today first time I had very bad experience in center point store at Mirdif city center. Yesterday I purchased few items including two wrist watch at 11.30 pm. They were sealed pack.  When we reached home and open the watch one of the watch screen was broken. This morning I went back to store with receipts then the guy at counter started arguing that he can’t help me. Finally he called security and he went through the cctv footage and told me that when I took this watch it was sealed pack which means for them that it was in perfectly alright condition. For me when I opened the pack the screen was broken. I paid for broken watch. When I went there to replace the watch I was expecting the customer service will feel sorry for wasting my time and fuel. Instead I felt opposite and they wasted my more time. When I asked to discuss this matter with Manager he didn’t bother to see me. Ramadan Kareem to Center Point and Landmark Group https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4118478